<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	header("Access-Control-Max-Age: 3600");
	header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

	include_once '../config/database.php';
	include_once '../objects/investment.php';
	 
	$database = new Database();
	$db = $database->getConnection();

	$investment = new Investment($db);
	$data = json_decode(file_get_contents("php://input"));

	$investment->investor_id = $data->investor_id;

	$stmt = $investment->getAllRows();
	$num = $stmt->rowCount();
	$arr=array();
	$arr["records"]=array();
	if($num>0){

	    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
	        extract($row);
	        $item=array(
				"id" => $id,
				"date" => $date,
				"amount" => number_format($amount)
	        );
	        array_push($arr["records"], $item);
	    }
	    
	}
	echo json_encode($arr);
?>